Ruby: ext/zlib/zlib-1.2.13/zutil.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions | Variables
zutil.c File Reference
`#include "zutil.h"`
`#include "gzguts.h"`

Go to the source code of this file.

## Functions
const char *ZEXPORT | zlibVersion ()
uLong ZEXPORT | zlibCompileFlags ()
const char *ZEXPORT | zError (int err)
voidpf ZLIB_INTERNAL | zcalloc (voidpf opaque, unsigned items, unsigned size)
void ZLIB_INTERNAL | zcfree (voidpf opaque, voidpf ptr)

## Variables
z_const char *const | z_errmsg [10]

## Function Documentation

## ◆ zcalloc()

voidpf ZLIB_INTERNAL zcalloc | ( | voidpf | opaque,
|  | unsigned | items,
|  | unsigned | size
| ) |  |

Definition at line 307 of file zutil.c.

References calloc, and malloc.

Referenced by deflateInit2_(), inflateBack9Init_(), inflateBackInit_(), and inflateInit2_().

## ◆ zcfree()

void ZLIB_INTERNAL zcfree | ( | voidpf | opaque,
|  | voidpf | ptr
| ) |  |

Definition at line 317 of file zutil.c.

References free, and ptr.

Referenced by deflateInit2_(), inflateBack9Init_(), inflateBackInit_(), and inflateInit2_().

## ◆ zError()

const char *ZEXPORT zError | ( | int | err | ) |

Definition at line 135 of file zutil.c.

References err, and ERR_MSG.

## ◆ zlibCompileFlags()

uLong ZEXPORT zlibCompileFlags | ( |  | ) |

Definition at line 32 of file zutil.c.

References z_off_t.

## ◆ zlibVersion()

const char *ZEXPORT zlibVersion | ( |  | ) |

Definition at line 27 of file zutil.c.

References ZLIB_VERSION.

Referenced by help().

## Variable Documentation

## ◆ z_errmsg

z_const char* const z_errmsg[10]

Initial value:
= {
(z_const char *)"need dictionary",
(z_const char *)"stream end",
(z_const char *)"",
(z_const char *)"file error",
(z_const char *)"stream error",
(z_const char *)"data error",
(z_const char *)"insufficient memory",
(z_const char *)"buffer error",
(z_const char *)"incompatible version",
(z_const char *)""
}
z_const
#define z_const
Definition: zconf.h:240

Definition at line 13 of file zutil.c.